package com.ruoyi.project.patrol.dev.service;

import java.util.List;
import com.ruoyi.project.patrol.dev.domain.TDevSteamCurtain;

/**
 * 蒸汽幕Service接口
 * 
 * @author admin
 * @date 2023-11-06
 */
public interface ITDevSteamCurtainService 
{
    /**
     * 查询蒸汽幕
     * 
     * @param id 蒸汽幕主键
     * @return 蒸汽幕
     */
    public TDevSteamCurtain selectTDevSteamCurtainById(Long id);

    /**
     * 查询蒸汽幕列表
     * 
     * @param tDevSteamCurtain 蒸汽幕
     * @return 蒸汽幕集合
     */
    public List<TDevSteamCurtain> selectTDevSteamCurtainList(TDevSteamCurtain tDevSteamCurtain);

    /**
     * 新增蒸汽幕
     * 
     * @param tDevSteamCurtain 蒸汽幕
     * @return 结果
     */
    public int insertTDevSteamCurtain(TDevSteamCurtain tDevSteamCurtain);

    /**
     * 修改蒸汽幕
     * 
     * @param tDevSteamCurtain 蒸汽幕
     * @return 结果
     */
    public int updateTDevSteamCurtain(TDevSteamCurtain tDevSteamCurtain);

    /**
     * 批量删除蒸汽幕
     * 
     * @param ids 需要删除的蒸汽幕主键集合
     * @return 结果
     */
    public int deleteTDevSteamCurtainByIds(Long[] ids);

    /**
     * 删除蒸汽幕信息
     * 
     * @param id 蒸汽幕主键
     * @return 结果
     */
    public int deleteTDevSteamCurtainById(Long id);
}
